Package org.apache.calcite.avatica.proto

## Class Common.Frame

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.Frame

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.io.Serializable`, `Common.FrameOrBuilder`

Enclosing class:
  Common

    public static final class Common.Frame
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.FrameOrBuilder

     A collection of rows

Protobuf type `Frame`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.Frame.Builder` A collection of rows

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private int` `bitField0_`
`private static Common.Frame` `DEFAULT_INSTANCE`
`private boolean` `done_`
`static int` `DONE_FIELD_NUMBER`
`private byte` `memoizedIsInitialized`
`private long` `offset_`
`static int` `OFFSET_FIELD_NUMBER`
`private static com.google.protobuf.Parser<Common.Frame>` `PARSER`
`private java.util.List<Common.Row>` `rows_`
`static int` `ROWS_FIELD_NUMBER`
`private static long` `serialVersionUID`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `Frame()`
`private` `Frame​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `Frame​(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`static Common.Frame` `getDefaultInstance()`
`Common.Frame` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`boolean` `getDone()` `bool done = 2;`
`long` `getOffset()` `uint64 offset = 1;`
`com.google.protobuf.Parser<Common.Frame>` `getParserForType()`
`Common.Row` `getRows​(int index)` `repeated .Row rows = 3;`
`int` `getRowsCount()` `repeated .Row rows = 3;`
`java.util.List<Common.Row>` `getRowsList()` `repeated .Row rows = 3;`
`Common.RowOrBuilder` `getRowsOrBuilder​(int index)` `repeated .Row rows = 3;`
`java.util.List<? extends Common.RowOrBuilder>` `getRowsOrBuilderList()` `repeated .Row rows = 3;`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.Frame.Builder` `newBuilder()`
`static Common.Frame.Builder` `newBuilder​(Common.Frame prototype)`
`Common.Frame.Builder` `newBuilderForType()`
`protected Common.Frame.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.Frame` `parseDelimitedFrom​(java.io.InputStream input)`
`static Common.Frame` `parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Frame` `parseFrom​(byte[] data)`
`static Common.Frame` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Frame` `parseFrom​(com.google.protobuf.ByteString data)`
`static Common.Frame` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Frame` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static Common.Frame` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Frame` `parseFrom​(java.io.InputStream input)`
`static Common.Frame` `parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Frame` `parseFrom​(java.nio.ByteBuffer data)`
`static Common.Frame` `parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.Frame>` `parser()`
`Common.Frame.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### bitField0_

    private int bitField0_

#### OFFSET_FIELD_NUMBER

    public static final int OFFSET_FIELD_NUMBER

See Also:
  Constant Field Values

#### offset_

    private long offset_

#### DONE_FIELD_NUMBER

    public static final int DONE_FIELD_NUMBER

See Also:
  Constant Field Values

#### done_

    private boolean done_

#### ROWS_FIELD_NUMBER

    public static final int ROWS_FIELD_NUMBER

See Also:
  Constant Field Values

#### rows_

    private java.util.List<Common.Row> rows_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### DEFAULT_INSTANCE

    private static final Common.Frame DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.Frame> PARSER

### Constructor Detail

#### Frame

    private Frame​(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### Frame

    private Frame()

#### Frame

    private Frame​(com.google.protobuf.CodedInputStream input,
                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getOffset

    public long getOffset()

`uint64 offset = 1;`

Specified by:
  `getOffset` in interface `Common.FrameOrBuilder`

#### getDone

    public boolean getDone()

`bool done = 2;`

Specified by:
  `getDone` in interface `Common.FrameOrBuilder`

#### getRowsList

    public java.util.List<Common.Row> getRowsList()

`repeated .Row rows = 3;`

Specified by:
  `getRowsList` in interface `Common.FrameOrBuilder`

#### getRowsOrBuilderList

    public java.util.List<? extends Common.RowOrBuilder> getRowsOrBuilderList()

`repeated .Row rows = 3;`

Specified by:
  `getRowsOrBuilderList` in interface `Common.FrameOrBuilder`

#### getRowsCount

    public int getRowsCount()

`repeated .Row rows = 3;`

Specified by:
  `getRowsCount` in interface `Common.FrameOrBuilder`

#### getRows

    public Common.Row getRows​(int index)

`repeated .Row rows = 3;`

Specified by:
  `getRows` in interface `Common.FrameOrBuilder`

#### getRowsOrBuilder

    public Common.RowOrBuilder getRowsOrBuilder​(int index)

`repeated .Row rows = 3;`

Specified by:
  `getRowsOrBuilder` in interface `Common.FrameOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws java.io.IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `java.io.IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(java.lang.Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.Frame parseFrom​(java.nio.ByteBuffer data)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Frame parseFrom​(java.nio.ByteBuffer data,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Frame parseFrom​(com.google.protobuf.ByteString data)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Frame parseFrom​(com.google.protobuf.ByteString data,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Frame parseFrom​(byte[] data)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Frame parseFrom​(byte[] data,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Frame parseFrom​(java.io.InputStream input)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Common.Frame parseFrom​(java.io.InputStream input,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static Common.Frame parseDelimitedFrom​(java.io.InputStream input)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static Common.Frame parseDelimitedFrom​(java.io.InputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Common.Frame parseFrom​(com.google.protobuf.CodedInputStream input)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Common.Frame parseFrom​(com.google.protobuf.CodedInputStream input,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### newBuilderForType

    public Common.Frame.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.Frame.Builder newBuilder()

#### newBuilder

    public static Common.Frame.Builder newBuilder​(Common.Frame prototype)

#### toBuilder

    public Common.Frame.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.Frame.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.Frame getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.Frame> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.Frame> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.Frame getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`